import re

if re.search('^3.4', casadef.casa_version) == None:
 sys.exit('ERROR: PLEASE USE THE SAME VERSION OF CASA THAT YOU USED FOR GENERATING THE SCRIPT: 3.4')


print "# Flux calibration of the data."

os.system('rm -rf uid___A002_X552607_X95a.ms.split.cal') 
split(vis = 'uid___A002_X552607_X95a.ms.split',
  outputvis = 'uid___A002_X552607_X95a.ms.split.cal',
  datacolumn = 'corrected',
  keepflags = T)

#                                     "J1147-6753s3"     0     300.51      0.89186      0.89186       2012-11-18T13:16:41          uid___A002_X552607_X95a.ms.split
#                                     "J1147-6753s3"     1     301.29      0.89021      0.89021       2012-11-18T13:16:41          uid___A002_X552607_X95a.ms.split
#                                     "J1147-6753s3"     2     303.93      0.88563      0.88563       2012-11-18T13:16:41          uid___A002_X552607_X95a.ms.split

setjy(vis = 'uid___A002_X552607_X95a.ms.split.cal',
  field = 'J1147-6753s3',
  spw = '0',
  fluxdensity = [0.89186, 0, 0, 0])

setjy(vis = 'uid___A002_X552607_X95a.ms.split.cal',
  field = 'J1147-6753s3',
  spw = '1',
  fluxdensity = [0.89021, 0, 0, 0])

setjy(vis = 'uid___A002_X552607_X95a.ms.split.cal',
  field = 'J1147-6753s3',
  spw = '2',
  fluxdensity = [0.88563, 0, 0, 0])

os.system('rm -rf uid___A002_X552607_X95a.ms.split.cal.ampli_inf') 
gaincal(vis = 'uid___A002_X552607_X95a.ms.split.cal',
  caltable = 'uid___A002_X552607_X95a.ms.split.cal.ampli_inf',
  field = 'J1147-6753s3',
  solint = 'inf',
  combine = 'scan',
  refant = 'DV04',
  gaintype = 'T',
  calmode = 'ap')

applycal(vis = 'uid___A002_X552607_X95a.ms.split.cal',
  field = '2,3', # J1147-6753s3,HD 100546
  gaintable = 'uid___A002_X552607_X95a.ms.split.cal.ampli_inf',
  gainfield = '2', # J1147-6753s3
  calwt = F,
  flagbackup = F)


